import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 接入开放平台服务对象基类
 *
 * @export
 * @class MsgOpenAccessServiceBase
 * @extends {EntityServie}
 */
export default class MsgOpenAccessServiceBase extends EntityService {

    /**
     * Creates an instance of  MsgOpenAccessServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  MsgOpenAccessServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof MsgOpenAccessServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='msgopenaccess';
        this.APPDEKEY = 'id';
        this.APPDENAME = 'msgopenaccesses';
        this.APPDETEXT = 'name';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'ibznotify';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof MsgOpenAccessServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().get(`/msgopenaccesses/${context.msgopenaccess}/select`,isloading);
            
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof MsgOpenAccessServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}